From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/levenshtein/
Date: Thu, 28 Oct 2021 05:20:16 +0000 (UTC) [thread overview]
Message-ID: <1635398376.6516defd7e8c57ab04afdcc3fd4e0f3ef0084f36.graaff@gentoo> (raw)
commit: 6516defd7e8c57ab04afdcc3fd4e0f3ef0084f36
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 28 05:19:36 2021 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Oct 28 05:19:36 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6516defd
dev-ruby/levenshtein: EAPI 8; add ruby30; fix extension install
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/levenshtein/levenshtein-0.2.2-r3.ebuild | 26 ++++++++++++++++++++++++
1 file changed, 26 insertions(+)
diff --git a/dev-ruby/levenshtein/levenshtein-0.2.2-r3.ebuild b/dev-ruby/levenshtein/levenshtein-0.2.2-r3.ebuild
new file mode 100644
index 00000000000..695a8abbc03
--- /dev/null
+++ b/dev-ruby/levenshtein/levenshtein-0.2.2-r3.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG README"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/levenshtein/extconf.rb)
+
+inherit ruby-fakegem
+
+DESCRIPTION="Levenshtein distance algorithm"
+HOMEPAGE="https://github.com/mbleigh/mash"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+each_ruby_test() {
+ ${RUBY} -Ilib test/test.rb || die
+}
next reply other threads:[~2021-10-28 5:20 UTC|newest]
Thread overview: 12+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-10-28 5:20 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-31 19:10 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/levenshtein/ Hans de Graaff
2023-07-03 5:34 Hans de Graaff
2022-05-02 5:16 Hans de Graaff
2021-10-31 11:35 Hans de Graaff
2020-08-09 17:28 Hans de Graaff
2019-02-01 11:46 Hans de Graaff
2018-09-15 4:09 Hans de Graaff
2018-02-04 10:45 Hans de Graaff
2017-01-12 6:24 Hans de Graaff
2016-03-28 19:43 Manuel Rüger
2015-12-12 7:35 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1635398376.6516defd7e8c57ab04afdcc3fd4e0f3ef0084f36.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox